<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:b="http://bootsfaces.net/ui"
                template="layout/template.xhtml">

    <f:event type="preRenderView" listener="#{adminBean.init()}"/>

    <ui:define name="content" rendered="#{getPrincipal.loggedIn and getPrincipal.admin}">
        <b:growl id="growl" showDetail="true" sticky="true" autoUpdate="true"
                 show-summary="false" allowDismiss="true"
                 delay="3000" escape="true" placementFrom="top" placementAlign="center" globalOnly="false"/>
        <ui:include src="fragments/admin/_tokens_managment_fragment.xhtml" rendered="#{getPrincipal.loggedIn and getPrincipal.admin}"/>
    </ui:define>
</ui:composition>